<template>
  <ui-checkbox-group
    v-model="model"
    name="favorite-food"
    label="What is your favorite food?"
    hints="select one or multiple of the following options"
    :options="options"
    :highlighted="!model.length"
    :highlighted-hint="!model.length ? 'This question is not answered!' : ''"
  />
</template>

<script lang="ts" setup>
import { ref } from 'vue'

const model = ref([])
const options = [
  { id: '1', label: 'Pizza' },
  { id: '2', label: 'Falafel' },
  { id: '3', label: 'Pizza Hawaii', disabled: true },
  {
    id: '4',
    label:
      'Pasta with lots of vegetables (tomatoes, zucchini, aubergine, bellpepper), garnished with some Parmigiano Reggiano',
  },
]
</script>
